import * as React from 'react';
import { StyleSheet } from 'react-native';
import { RNIDummyViewModule } from './RNIDummyViewModule';
import { RNIDummyNativeView } from './RNIDummyNativeView';
export class RNIDummyView extends React.PureComponent {
    reactTag;
    constructor(props) {
        super(props);
    }
    ;
    getProps() {
        const { shouldCleanupOnComponentWillUnmount, ...otherProps } = this.props;
        return {
            shouldCleanupOnComponentWillUnmount: shouldCleanupOnComponentWillUnmount ?? false,
            ...otherProps,
        };
    }
    ;
    componentWillUnmount() {
        this.notifyComponentWillUnmount(false);
    }
    ;
    notifyComponentWillUnmount = (isManuallyTriggered = true) => {
        const reactTag = this.reactTag;
        if (typeof reactTag !== 'number')
            return;
        RNIDummyViewModule.notifyComponentWillUnmount(reactTag, isManuallyTriggered);
    };
    _handleOnReactTagDidSet = ({ nativeEvent }) => {
        this.reactTag = nativeEvent.reactTag;
    };
    render() {
        const props = this.getProps();
        return React.createElement(RNIDummyNativeView, {
            ...props,
            style: styles.nativeDummyView,
            onReactTagDidSet: this._handleOnReactTagDidSet,
        });
    }
    ;
}
;
const styles = StyleSheet.create({
    nativeDummyView: {
        position: 'absolute',
        opacity: 0.01,
    },
});
//# sourceMappingURL=RNIDummyView.js.map